@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
  height: 100vh;
}

a {
  text-decoration: none;
  color: #000;
}

a:hover {
  color: rgba(52, 235, 156, 0.5);
}

p {
  line-height: 1.7;
}

ul {
  list-style: none;
}

li {
  line-height: 2.2;
}

h1,
h2,
h3 {
  font-weight: 600;
  margin-bottom: 10px;
}

.container {
  width: 100%;
  max-width: 960px;
  margin: 0 auto;
  padding: 0 20px;
  text-align: center;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 0;
  border-bottom: 1px solid #e6e6e6;
  margin-bottom: 60px;
}

.logo {
  display: flex;
  justify-content: space-between;
  gap: 10px;
}
.header ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header ul li {
  margin-left: 20px;
}

.header ul li a {
  display: flex;
  align-items: center;
}

.header ul li a:hover {
  color: rgba(52, 235, 156, 0.5);
}

.header ul li a svg {
  margin-right: 5px;
}

.heading {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 50px;
  padding: 0 20px;
}

.heading p {
  color: #828282;
}

.notes {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.note {
  display: flex;
  flex-direction: column;
  background-color: rgba(52, 235, 156, 0.5);
  border-radius: 4px;
  margin: 10px 0;
  padding: 20px 10px 10px;
  min-width: 305px;
  max-width: 310px;
  position: relative;
}

.note-container {
  display: flex;
  justify-content: center;
}

.note__text {
  font-style: italic;
  font-weight: normal;
}
.note__date {
  margin-top: auto;
  align-self: flex-end;
  font-size: 12px;
}

.note__completed {
  position: absolute;
  bottom: 10px;
  font-size: 12px;
}

.note__edit {
  position: absolute;
  top: 10px;
  left: 10px;
  color: rgb(0, 102, 255);
  background: transparent;
  border: none;
  cursor: pointer;
}

.note__close {
  position: absolute;
  color: red;
  font-weight: bold;
  top: 10px;
  right: 15px;
  cursor: pointer;
  border: none;
  background: none;
}

.edit-modal {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0,0,0,0.5);
}

.edit-modal_hide {
  display: none;
}

.edit-modal__container {
  background-color: #fff;
  border-radius: 4px;
  padding: 15px;
}

.edit-modal__text {
  padding: 5px;
}

.edit-modal__buttons {
  display: flex;
  justify-content: space-around;
}

.form,
.content {
  width: 70%;
  margin: 0 auto;
}

.form-group {
  margin-bottom: 10px;
}

.form-group input,
.form-group textarea,
.form-group select {
  width: 100%;
  padding: 10px;
  border: 1px solid #e6e6e6;
  border-radius: 5px;
  margin-bottom: 10px;
  font-family: inherit;
}

.form-group input:focus {
  outline: 1px solid rgba(52, 235, 156, 0.5);
}

.form-group label {
  text-align: left;
  display: block;
  margin: 0 0 5px 3px;
}

.form-group_flex {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.form-group_flex .btn {
  flex-grow: 0;
  flex-basis: content;
  margin-top: 25px;
}
.search-form {
  max-width: 450px;
  margin: 0 auto;
}

.btn {
  padding: 10px 20px;
  border: 1px solid #000;
  border-radius: 5px;
  background: #000;
  color: #fff;
  font-size: 16px;
  font-weight: 700;
  cursor: pointer;
  text-align: center;
  appearance: button;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.2s;
  border: none;
}

.btn:hover {
  background-color: rgba(52, 235, 156, 0.5);
  color: #000;
}

.btn_red:hover {
  background-color: rgba(235, 52, 52, 0.5);
}

.btn svg {
  margin-right: 8px;
}

.btn-reverse {
  background: #fff;
  color: #000;
}

.btn-block {
  width: 100%;
  margin-bottom: 20px;
}

.btn:hover {
  transform: scale(0.98);
}

.about-me {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.about-me__info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.about-me__title {
  color: rgb(37, 161, 107);
  font-weight: bold;
}

.loadingSpinnerContainer {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 5000;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loadingSpinner {
  width: 64px;
  height: 64px;
  border: 8px solid;
  border-color: #000 transparent #555 transparent;
  border-radius: 50%;
  animation: spin 1.2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (max-width: 980px) {
  .notes {
    margin: 0 auto;
    grid-template-columns: 1fr;
    justify-items: center;
    max-width: 305px;
  }
 }

@media (max-width: 600px) {
  .form {
    width: 90%;
  }

  .heading h1 {
    font-size: 2rem;
  }

  .heading p {
    font-size: 1.5rem;
  }
}